> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all users



## OpenAPI

````yaml GET /users
openapi: 3.0.1
info:
  title: OpenAPI Matia
  description: Matia API using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.matia.io/v1
security:
  - ApiKeyAuth: []
paths:
  /users:
    get:
      summary: List all users
      responses:
        '200':
          description: Successfully listed all users
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAllUsersApiResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListAllUsersApiResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: string
        message:
          type: string
        data:
          type: object
          required:
            - items
          properties:
            items:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  email:
                    type: string
                  name:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - email
                  - createdAt
    Error:
      required:
        - error
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````